#!/bin/bash
while read -r video_id
do
    echo "Video ID: '${video_id}'"
    channel=$(yt-dlp -J "${video_id}" | jq '.channel' | sed 's/"//g' | head -n1)
    if [ -n "${channel}" ] && [ "${channel}" != "null" ]; then
        echo "Channel name: '${channel}'"
        if [ -n "${video_id}" ] && [ "${video_id}" != "null" ]; then
            mkdir -p "${channel}"
            mv -- *"${video_id}"* "${channel}/"
        fi
    else
        echo "Unknown channel"
    fi
done <<< "$(find . -mindepth 1 -maxdepth 1 -type f| grep -Eo '\[[0-9a-zA-Z\-_]{11}\]' | tr -d '[]')"
